<template>
  <header
    class="app-jumbotron_static bg-white"
    :class="{'border-b-2': !$slots.sticky}"
  >
    <div class="mx-auto max-w-7xl py-6 px-4 sm:px-6 lg:px-8">
      <NuxtLink to="/">
        {{$t('common.back')}}
      </NuxtLink>
      <h1 class="text-3xl font-bold tracking-tight text-gray-900"><app-multilang-string :str="header"/></h1>
      <div>{{ lead }}</div>
      <slot/>
    </div>
  </header>
  <div class="app-jumbotron_sticky sticky top-app-header bg-white border-b-2" v-if="$slots.sticky">
    <div class="mx-auto max-w-7xl py-6 px-4 sm:px-6 lg:px-8">
      <slot name="sticky"/>
    </div>
  </div>
</template>

<script setup lang="ts">
  import type { PropType } from "vue";
  import type { MultilangString } from "../AppMultilangString/types";

  defineProps({
    header: {
      type: [String, Object] as PropType<string|MultilangString>,
      required: true,
    },
    lead: {
      type: String,
    }
  })
</script>

<style scoped>
.app-jumbotron > .app-jumbotron_static:last-child,
.app-jumbotron > .app-jumbotron_sticky:last-child {
  @apply border-b-2;
}
</style>